Bug 92219 - Lockup when first message is received
Lockup when first message is received
Product: Red Hat Linux
Classification: Retired
Component: gaim (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Depends On:
  Show dependency treegraph
Reported: 2003-06-03 18:20 EDT by Mark Lewis
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-23 11:19:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gaim.strace (83.17 KB, text/plain)
2003-06-04 12:38 EDT, Mark Lewis
no flags Details
gaim.strace2 (348.11 KB, text/plain)
2003-06-04 12:39 EDT, Mark Lewis
no flags Details

  None (edit)
Description Mark Lewis 2003-06-03 18:20:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
With X running with the +xinerama extension, gaim now locks up the first time I
receive a message in a given login session.  If I killall gaim and start again,
it works correctly until I log off and log back in again.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start X with the +xinerama extension.  You may need at least two monitors. 
Not sure.

2. Start gaim in a fresh login session.

3. Log in to your favorite messaging system.

4. Wait until you receive a message.  A new chat window pops up.

Actual Results:  The new chat window appears, but the content area is empty. 
Gaim becomes unresponsive and moving another window in front washes out all of
the text and buttons.

Expected Results:  The new chat window displays the message you were sent.

Additional info:

Running X with +xinerama and two video cards:  nVidia Geforce 2 MX (AGP), and
nVidia TNT2 (PCI).
Comment 1 Christopher Blizzard 2003-06-04 11:02:28 EDT
Do you know how to use strace?  If so, can you tell me where gaim is hanging?
Comment 2 Mark Lewis 2003-06-04 12:37:35 EDT
I ran some strace runs for you, attaching them.  There were actually two lockups
this time:  the main window locked up the first time I started gaim, then the
second time I started gaim it didn't lock up until I received a message in the
message window.  The third time everything worked correctly.

I'm not sure how much of the strace results you need, so I'm attaching the whole
run.  gaim.strace is the first lockup, and gaim.strace2 is the second lockup.
Comment 3 Mark Lewis 2003-06-04 12:38:35 EDT
Created attachment 92136 [details]

First lockup, main window comes up but doesn't paint.
Comment 4 Mark Lewis 2003-06-04 12:39:36 EDT
Created attachment 92137 [details]

Second lock-up, when painting the message receive window.
Comment 5 Mark Lewis 2003-06-20 15:15:21 EDT

I upgraded to gaim-0.64, which resolves this problem on our systems.  The gnome2
integration and new features are good, too.
Comment 6 Christopher Blizzard 2003-06-23 11:19:26 EDT
Marking as fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.